# react-chaos-toolkit

> UI toolkit for React by Chaos

[![NPM](https://img.shields.io/npm/v/react-chaos-toolkit.svg)](https://www.npmjs.com/package/react-chaos-toolkit)

<a href="https://ci.gobizdev.com/viewType.html?buildTypeId=ReactChaosToolkit_BuildMaster&guest=1">
<img src="https://ci.gobizdev.com/app/rest/builds/buildType:(id:ReactChaosToolkit_BuildMaster)/statusIcon"/>
</a>

## Install

This library is available on Gobiz private repo only, so you must add an .npmrc file to your project and then paste 2 lines below into that file:

```
registry=https://registry.gobizdev.com/repository/npm-group/
_auth=YWRtaW46YWRtaW4xMjM=
```

After that, you can install this library by run npm command as usual: 

```bash
npm install --save react-chaos-toolkit
```

**Warning: this will apply for npm only, if you want to use yarn please Google about yarn registry config**

## Release notes
View release notes [here](/src/release.md)

## Prerequisite

Default style is based on:
- Bootstrap 4.1.3
- Fontawesome 5.3.1

Just include those css file and you are done. If you do not want to install those modules, please pass your customize class name into each components. Global setup will be implemented in the future.

## Components
List of supported components:
- StyledCheckBox
- DataTable

## Roadmap
Tobe implemented:
- [ ] Optimize Data Table
- [ ] Star Rating
- [ ] More detailed, prettier example, with live demo

## References

This project got some ideas from (but not limited to):

https://cloudflare.github.io/cf-ui/
https://developer.microsoft.com/en-us/fabric#/components/button

## Special thanks
Special thanks to hieutran, dinhnguyen to contribute *more works* to do

## Usage
Please use example project. Live demo and detail usage guide will be "coming soon".

MIT © [kiennx](https://github.com/kiennx)